##################################################
# Wrap java and javac execution so we can set the
# CLASSPATH environment variable
#JEXEC=jexec
JEXEC=

JAVA=$(JEXEC) java
JAVAC=$(JEXEC) javac -g

##################################################
# targets:
search: USearcher.class NKPuzzle.class

clean:
	rm *.class


##################################################
# files to be built:
USearcher.class SearchState.class: \
	USearcher.java SearchState.java
	$(JAVAC) USearcher.java SearchState.java

NKPuzzle.class: NKPuzzle.java
	$(JAVAC) NKPuzzle.java
